%define version 0.99.4
%define release alt1
%setup_python_module Draco

Summary: The Draco Dynamic Content System
Name: %{packagename}
Version: %{version}
Release: %{release}.1.1.1
Source0: %{modulename}-%{version}.tar.gz
Source1: %{modulename}-manual-%{version}.tar.gz
License: GPL
Group: Development/Python
Prefix: %{_prefix}
Vendor: Geert Jansen <geert@boskant.nl>
Url: http://draco.boskant.nl/
BuildPreReq: python

%define moduledocdir %_docdir/%packagename-%version

# Automatically added by buildreq on Fri Sep 10 2004 (-bi)
BuildRequires: python-base python-dev python-modules-compiler python-modules-encodings rpm-build-python

%description
Draco is a framework for creating dynamic web sites and web
applications. It is structured around a simple but powerful paradigm for
a clean separation of code and markup. It provides a programming
environment that offers much functionality required by dynamic web
sites. This includes features like automated session management,
persistence, events and task scheduling.

%prep
%setup  -q -n %modulename-%version

%build
%__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

mv %buildroot%prefix/local/* %buildroot%prefix/
mv %buildroot%_datadir/draco %buildroot%_datadir/%packagename-%version-%release

%__mkdir_p %buildroot/%moduledocdir
tar -zxf %SOURCE1 -C %buildroot/%moduledocdir
mv %buildroot/%moduledocdir/manual/* %buildroot/%moduledocdir/

sed s/\\/usr\\/local\\/bin/\\/usr\\/bin/ INSTALLED_FILES > INSTALLED_FILES.sed
mv INSTALLED_FILES.sed INSTALLED_FILES
sed s/\\/usr\\/local\\/share\\/draco/\\/usr\\/share\\/%packagename-%version-%release/ INSTALLED_FILES > INSTALLED_FILES.sed
mv INSTALLED_FILES.sed INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)
%dir %moduledocdir
%doc %moduledocdir/*

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.99.4-alt1.1.1.1
- Rebuilt with python-2.5.

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.99.4-alt1.1.1
- Rebuilt using rpm-build-python-0.29-alt4.

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.99.4-alt1.1
- Rebuilt with python-2.4.

* Fri Sep 10 2004 Ivan Fedorov <ns@altlinux.ru> 0.99.4-alt1
- Initial build

